Bug 179843 - 2.6.15-1.1830_FC4 and later crash on Acer Aspire 1700
2.6.15-1.1830_FC4 and later crash on Acer Aspire 1700
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-03 06:36 EST by J.Jansen
Modified: 2015-01-04 17:24 EST (History)
2 users (show)

See Also:
Fixed In Version: FC5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-20 22:05:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
machine hangs with tis message when sutting down (1.10 MB, image/jpeg)
2006-02-07 08:33 EST, J.Jansen
no flags Details

  None (edit)
Description J.Jansen 2006-02-03 06:36:15 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20060202 Fedora/1.7.12-1.5.2

Description of problem:
I just upgraded to kernel-2.6.15-1.1830_FC4 from 2.6.14-1.1656_FC4
When starting the new kernel I get a lot of messages before the "Welcome to Fedora" message. It was to quick for me to read them, but I got the impression that it was performing some hardware checks. 
Then it continued, but just before the Rh-graphical boot should start I get a dump and a counter that the machine will continue in xxx seconds. when the counter reaches zero, a segentation fault is encountered.

rebooting into 2.6.14-1.1656_FC4 is still possible.

                   Jouk

Version-Release number of selected component (if applicable):
kernel-2.6.15-1.1830_FC4

How reproducible:
Always

Steps to Reproduce:
1.upgrade to kernel2.6.15-1.1830_FC4
2.reboot
3.
  

Actual Results:  see description : failure to boot

Expected Results:  nice smooth boot into the new kernel

Additional info:
Comment 1 Dave Jones 2006-02-03 11:47:52 EST
can you capture that dump somehow ? Even a digital camera picture would be great.

(If you can, add 'vga=791' to your boot command line, and you'll also get a
smaller font, so I'll be able to read more of the backtrace).

Thanks.
Comment 2 J.Jansen 2006-02-07 08:33:09 EST
Created attachment 124317 [details]
machine hangs with tis message when sutting down

see other comment
Comment 3 J.Jansen 2006-02-07 08:33:47 EST
The problem becomes rather weird:

I can boot now, but it crashes in the same (or simmilar?) way when shutting
down/rebooting (I attached an image of the screen when it hangs)

What changed bewteen friday and now:
   -I performed a selinux relabeling
   -I installed newly released updates
Comment 4 J.Jansen 2006-02-08 02:59:53 EST
I just upgraded to kernel2.6.15-1.1831_FC4, but the system still hangs when
shutting down/rebooting.
Comment 5 Dave Jones 2006-02-21 00:23:41 EST
looks like the notifier list contained garbage somehow.
What modules do you usually have loaded?
Comment 6 J.Jansen 2006-02-21 03:41:13 EST
Nothing of my own. Only the machine "standards"

[root@tarantella tmp]# zcat /boot/initrd*1831*img | cpio -idmv
.
bin
bin/hotplug
bin/insmod
bin/nash
bin/udev
bin/udevstart
bin/modprobe
init
dev
dev/systty
dev/null
dev/tty4
dev/tty2
dev/ram
dev/tty1
dev/tty3
dev/console
sys
loopfs
sbin
sysroot
lib
lib/jbd.ko
lib/ext3.ko
proc
etc
etc/udev
etc/udev/udev.conf
4449 blocks

[root@tarantella etc]# cat modprobe.conf
alias eth0 sis900
alias snd-card-0 snd-intel8x0
install snd-intel8x0 /sbin/modprobe --ignore-install snd-intel8x0 &&
/usr/sbin/alsactl restore >/dev/null 2>&1 || :
remove snd-intel8x0 { /usr/sbin/alsactl store >/dev/null 2>&1 || : ; };
/sbin/modprobe -r --ignore-remove snd-intel8x0
alias usb-controller ehci-hcd
alias usb-controller1 ohci-hcd
Comment 7 J.Jansen 2006-03-03 04:44:09 EST
I installed 2.6.15-1.1833_FC4 today. The first time boot it hanged just before
starting X11. Only after rebooting in an older kernel I could boot into the 1833
kernel, but when shutting down it hangs just when performing the "halt system".

Now I Half solve the problem when booting into another kernel, but what will
happen when I upgrade in the next weeks to FC5? Do I run into the same problems
without the possibility to boot into another kernel?

 
Comment 8 J.Jansen 2006-03-03 10:38:15 EST
I just got a brainwave and installed the smp kernel (1833) although it is a
single P4 laptop. The smp kernel does not show the problem at all. So I have a
"work-around" for the moment.
Comment 9 Dave Jones 2006-09-16 21:39:03 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 10 J.Jansen 2006-09-18 03:51:03 EDT
FC5 gives no problem at all
Comment 11 Dave Jones 2006-10-16 13:33:57 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 12 J.Jansen 2006-10-18 03:02:14 EDT
As mentioned in comment #10 I only saw this problem in FC4.
all kernels for FC5 I tested, including 2.6.18-1.2200.fc5 give no problem on my
system.

                  Jouk

Note You need to log in before you can comment on or make changes to this bug.